#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>

#include "info.h"
#include "json.h"
#include "uuid.h"
#include "io.h"


void fbsdmon_test()
{
    char *url = fbsdmon_url("submit");
    puts(url);
    free(url);
}

int main(int argc, char **argv)
{
    if(argc == 1)
    {
        char *json = get_json_root();
        char *fn = gz_data(json);
        free(json);
        json_flush();

        send_file(fn);
        unlink(fn);
        free(fn);
    }
    else
    {
        if(! strcmp(argv[1], "dump")) {
            puts(get_json_root());
        } else if(! strcmp(argv[1], "dump_sys")) {
            puts(get_json_sys());
        } else if(! strcmp(argv[1], "dump_pkg")) {
            puts(get_json_pkg());
        } else if(! strcmp(argv[1], "uuid")) {
            char *txt = uuid();
            puts(txt);
            free(txt);
        } else if(! strcmp(argv[1], "test")) {
            fbsdmon_test();
        }
    }

    return 0;
}
